--@Author: Alex2009, Sven777b
--@Web: www.ls-landtechnik.de, www.alex2009.de

-- Basis für eigene "Placeables" by Alex2009 & Sven777b, Spezifikation "PlaceableTipTrigger" by rafftnix. (February 2013) Erlaubnis dafür von Sven777b erhalten.


hoftank = {};
hoftank_mt = Class(hoftank, Placeable);
InitObjectClass(hoftank, "hoftank");

function hoftank:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, hoftank_mt);
    registerObjectClassName(self, "hoftank");
	
	return self;
end;

function hoftank:delete()
	unregisterObjectClassName(self);
    hoftank:superClass().delete(self);
end;

function hoftank:deleteFinal()
    hoftank:superClass().deleteFinal(self);
end;

function hoftank:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not hoftank:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;

	if not moveMode then
		MilktruckFillTrigger:onCreate(self.nodeId)
	end
  
	return true;
end;

function hoftank:update(dt)
end;

registerPlaceableType("hoftank", hoftank);