--@Author: Alex2009, Sven777b
--@Web: www.ls-landtechnik.de, www.alex2009.de

-- Basis für eigene "Placeables" by Alex2009 & Sven777b, Spezifikation "PlaceableTipTrigger" by rafftnix. (February 2013) Erlaubnis dafür von Sven777b erhalten.


annahme = {};
annahme_mt = Class(annahme, Placeable);
InitObjectClass(annahme, "annahme");

function annahme:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, annahme_mt);
    registerObjectClassName(self, "annahme");
	
	return self;
end;

function annahme:delete()
	unregisterObjectClassName(self);
    annahme:superClass().delete(self);
end;

function annahme:deleteFinal()
    annahme:superClass().deleteFinal(self);
end;

function annahme:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not annahme:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;

	if not moveMode then
		MilktruckStartTrigger:onCreate(self.nodeId)
	end
  
	return true;
end;

function annahme:update(dt)
end;

registerPlaceableType("annahme", annahme);